﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="window.aspx.cs" Inherits="ImageEditor_window" %>

<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
	<head runat="server">
		<title></title>
	</head>
	<body>
		<form id="form1" runat="server">
			<telerik:RadScriptManager ID="theScriptManager" runat="server" />
			<telerik:RadAjaxLoadingPanel ID="MainLoadingPanel" runat="server" BackgroundTransparency="0">
				<div class="loading">
					<asp:Image ID="Image1" runat="server" ImageUrl="~/ajax-loader-win.gif" AlternateText="loading">
					</asp:Image>
				</div>
			</telerik:RadAjaxLoadingPanel>
			<telerik:RadAjaxPanel runat="server" ID="MainUpdatePanel" LoadingPanelID="MainLoadingPanel">
				<telerik:RadAjaxLoadingPanel ID="ralpUploadImage" runat="server"></telerik:RadAjaxLoadingPanel>
				<telerik:RadAjaxPanel runat="server" ID="rapUploadFiles" LoadingPanelID="ralpUploadImage">
					<telerik:RadWindow ID="winImageEditor" runat="server" ShowContentDuringLoad="false" Modal="false" Behaviors="Close,Move,Resize" Title="Edit Image" Width="800px" Height="450px" OnClientBeforeClose="ReloadOnClientClose">
						<ContentTemplate>
							<telerik:RadImageEditor ID="rieImageEditor" runat="server" Width="760px" Height="360px" OnImageSaving="rieImageEditor_SaveImage" AllowedSavingLocation="Server" OnClientCommandExecuting="OnClientCommandExecuting" ImageUrl="~/content/testImages/dog.png">
							</telerik:RadImageEditor>
						</ContentTemplate>
					</telerik:RadWindow>
					<telerik:RadCodeBlock ID="codeblock1" runat="server">
						<script type="text/javascript">
							function OnClientCommandExecuting(imEditor, eventArgs) {
								if(eventArgs.get_commandName() == 'Save') {
									console.log("Saving");
									//Prevent the buil-in Save dialog to pop up
									imEditor.setToggleState('Save', false);
									imEditor.saveImageOnServer('', true);
									eventArgs.set_cancel(true);
								}
							}
						</script>
					</telerik:RadCodeBlock>
				</telerik:RadAjaxPanel>
				--here are some other asp.net controls--
			</telerik:RadAjaxPanel>
		</form>
		<script>
			function ReloadOnClientClose(sender, eventArgs) {
				var imageEditor = getImageEditor();

				imageEditor.fire("Save");
				console.log("window close");
				//window.location.href = window.location.href;
			}

			function getImageEditor() { return $find("<%= rieImageEditor.ClientID %>"); }
		</script>
	</body>
</html>
